@font-face{
    font-family: Pompiere;
    src: url("fonts/Pompiere/Pompiere-Regular.ttf") format('truetype');
    font-size:115%; 
}
@font-face{
    font-family: Nunito; 
    src: url("fonts/Nunito/Nunito-Regular.ttf");
}
@font-face{
    font-family: Nunito; 
    src: url("fonts/Nunito/Nunito-Light.ttf"); 
    font-weight: 300; 
}
@font-face{
    font-family: Nunito; 
    src: url("fonts/Nunito/Nunito-ExtraLight.ttf"); 
    font-weight: 200; 
}
@font-face{
    font-family: Nunito; 
    src: url("fonts/Nunito/Nunito-SemiBold.ttf"); 
    font-weight: 700; 
}

*{
    outline:none; 
    box-sizing: border-box;
}
html, body{
    font-family: "Nunito",  Arial, Helvetica, sans-serif;
    font-weight: 300; 
    height: 100%;
}
html, body, div, span, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
table, caption, tbody, tfoot, thead, tr, th, td {
  margin: 0;
  padding: 0;
  border: 0;
}
button{
    cursor: pointer;
}
button > * {
    pointer-events: none;
}
a{
    text-decoration: none;
}
/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}
input, textarea{
    font-family: "Nunito",  Arial, Helvetica, sans-serif;
    font-size: 100%;
    border: 1px solid black; 
    border-radius: 0.25rem; 
}
input.error{
    border-color: darkred; 
}
h1{
    font-family: "Pompiere";
    text-align: center; 
    padding-bottom: 1rem; 
}
/****
* General classes
*****/
.flex{
    display:flex; 
    flex-wrap: wrap; 
    align-items: center; 
    align-content: stretch; 
}
.error{
    color: darkred;
}
.clear-both {
    clear: both;
}
#site-content{
    width: 100%; 
    margin: 0.5rem auto; 
}
/*sliders*/
.switch-wrapper{
    font-size: 12px;
    width: fit-content;
    margin: 0 auto; 
    line-height: 20px; 
}
.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 20px;
    margin: 5px; 
  }
  .switch input { 
    opacity: 0;
    width: 0;
    height: 0;
  }
  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccccccff;
    -webkit-transition: .4s;
    transition: .4s;
  }
  .slider:before {
    position: absolute;
    content: "";
    height: 16px;
    width: 16px;
    left: 2px;
    bottom: 2px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
  }
  input:checked + .slider {
    background-color: grey;
  }
  input:focus + .slider {
    box-shadow: 0 0 1px grey;
  }
  input:checked + .slider:before {
    -webkit-transform: translateX(40px);
    -ms-transform: translateX(40px);
    transform: translateX(40px);
  }
  .slider .on, .slider .off{
    color: white;
    position: absolute;;
}
.slider .on{
    display: none;
    left: 4px; 
}
.slider .off{
    left: 22px; 
}

input:checked + .slider .on{
    display: block;
}
input:checked + .slider .off{
    display: none;
}
.slider.round {
    border-radius: 20px;
}
.slider.round:before {
    border-radius: 50%;
}
/**********
* HEADERSAND FOOTERS
***********/
body {
    display: flex;
    flex-direction: column;
}
.content-wrapper {
    flex: 1 0 auto;
}
#site-header, #site-footer{
    width:100%;
    background-color: black;
    display: flex;
    padding: 0.5rem; 
    justify-content: space-between;
    flex-wrap: wrap; 
}
footer{
    color: white; 
    flex-shrink: 0;
}
.logo-container{
    position: absolute;
    top: 0;
    left: 0; 
    padding: 1rem;
}
.logo{ 
    font-weight: bold; 
    display:flex; 
    align-items: center; 
    font-family: "Pompiere";
    font-size: 125%; 
}
.logo .logo-recipe{
    background-color: white;
    border-radius: 0.25rem; 
    padding: 0.25rem;
    color:black; 
}
.logo .logo-arrow{
    float: none; 
    vertical-align:middle; 
    width: 0;
    height: 0;
    border-left: 0.5rem solid white;
    border-top: 0.25rem solid transparent;
    border-bottom: 0.25rem solid transparent;
}
.logo .logo-reform{
    color: white; 
    padding: 0.25rem 0.25rem 0.25rem 0.1rem;
}
.search input, .search button {
    padding: 0.25rem;
    border: 0;
    background-color: transparent;
}
.search input[type=text] {
    font-size: 100%;
    float: left;
    width: 80%;
}
.search button {
    float: left;
    width: 20%;
    font-size: 90%;
    text-align: right; 
}
.search-container{
    margin: 0.5rem auto; 
}
.search{
    background-color: white;
    border: 2px solid white; 
    border-radius: 0.25rem; 
    max-width:400px; 
    margin: 0 auto; 
    min-width: 250px; 
}
header #site-header .menu{
    position: absolute; 
    top: 0; 
    right: 0; 
    padding: 1rem; 
    text-align:right; 
}
header .menu{
    margin-top: 0.25rem; 
    position: relative; 
    text-align: right; 
}
.menu a{
    color: white; 
    font-size: 125%; 
    display:block; 
}
.menu a:hover{
    color: #ccccccff;
}
.menu a > *{
    pointer-events:none; 
}
.menu .topnav{
    position:absolute; 
    top:100%; 
    right: 0; 
    text-align:left; 
    background-color: black;
    min-width: 250px; 
    padding: .5rem; 
    display: none; 
}
.show-nav .menu .topnav{
    display: block; 
    z-index: 1000;
}
.topnav a{
    padding: .5rem; 
}
#copyright{
    width: 100%; 
    text-align: center; 
    padding: 1rem; 
    font-size: small;
    font-family: "Pompiere"; 
}

/***************
* RECIPE CARD
****************/
.recipe-card-wrapper{
    width:100%; 
}
.recipe{
    position: relative;
    margin: 0 auto; 
}
/*Control layout*/
.step{
    display: grid;
    align-items: start; 
    justify-items: start; 
    grid-template-columns: auto min-content max-content auto;
    grid-template-rows: min-content auto auto;
    margin: 12px; 
}
.sub-steps-list .step{
    justify-content: start; 
}
.sub-steps-list{
    grid-column: 2 / span 3; 
    grid-row:1;
}
.ingredients-list-wrapper{
    grid-column: 2; 
    grid-row: 2; 
}
.instructions-container{
    grid-column: 3; 
    grid-row:2; 
}
.step-components-border{
    grid-column: 2; 
    grid-row: 1 / span 2; 
    align-self: stretch; 
    justify-self: stretch; 
}
.add-parent-step{
    grid-column: 2; 
    grid-row: 1 / span 2;
    margin: -12px -12px -2.5rem -12px;  
    align-self: stretch; 
    justify-self: stretch; 
    position: relative;
}
.wide.step{
    grid-template-columns: auto min-content max-content max-content auto; 
}
.wide.step > .sub-steps-list{
    grid-column: 2 / span 2; 
}
.wide.step > .instructions-container{
    grid-column: 4; 
    grid-row: 1 / span 3; 
}
.wide.step > .step-components-border, .wide.step > .add-parent-step{
    grid-column: 2 / span 2; 
}
.step-components-border{
    border: 5px solid rgba(204, 204, 204, 0.9); 
    background-color: rgba(204, 204, 204, 0.2); 
    border-radius: 0.25rem; 
    
}

.ingredients-list-wrapper{
    padding: 12px;
    padding-top: 0; 
    z-index: 100; 
}
.ingredients-list{
    width: 250px; 
    font-weight: bold;
}
.instructions-list{
    max-width: 250px; 
    min-width:75px; 
}
.instructions{
    padding-top: 3px; 
    padding-bottom: 3px; 
}

.sub-steps-list:empty + .ingredients-list-wrapper{
    padding-top: 12px; 
}
.ingredients-list:empty{
    padding: 0; 
}
.ingredient{
    text-indent: -1.25rem;
    padding-left: 1.25rem;
}
.edit .ingredients-list{
    min-width: 225px; 
    min-height: 1.5rem; 
}
.edit .ingredient{
    text-indent:0; 
    padding-left:0; 
}
.ingredient span{
    margin: 0 3px; 
}
.ingredient span:empty{
    width:0; 
    padding:0; 
    margin:0;
}
.sub-steps-list:first-child{
    padding-top: 0.5rem; 
}
.instructions-container{
    position: relative; 
    align-self:center; 
}
.bracket{
    width: 0;
    height: 0;
    border-left: 16px solid rgba(204, 204, 204, 0.9); 
    border-top: 8px solid transparent;
    border-bottom: 8px solid transparent;
}
.bracket-wrapper{
    border: 0px solid rgba(204, 204, 204, 0.9); ; 
    margin-top: 7px; 
}
.step[draggable=true]>.instructions-container>.bracket-wrapper, .step[draggable=true]>.instructions-container>.bracket-wrapper>.bracket{
    border-left-color:grey; 
}
.step-components, .add-step, .ghost-step{
    display: flex;
    flex-direction: column;
}
.add-parent-step{
    pointer-events:none; 
}
.add-parent-step .add-step{
    position: absolute; 
    bottom: 0; 
    left: 0; 
    right: 0; 
    text-align:center;
    pointer-events:auto; 
    border-width:0; 
}
.recipe-wrapper{
    position:relative; 
}
.edit .recipe-wrapper{
    padding-top: 2px; 
    padding-bottom: 2rem; 
}
.top-border-wrapper{
    width:100%; 
}
.top-border{
    width:225px;  
    border: 5px solid rgba(204, 204, 204, 0.9);; 
    border-top-left-radius: 0.25rem;
    border-top-right-radius: 0.25rem;
    border-bottom:none; 
    margin-top: 7px; 
}
.ingredients-wrapper{
    border-left: 5px solid rgba(204, 204, 204, 0.9);
    border-right: 5px solid rgba(204, 204, 204, 0.9); 
    padding-left: 7px; 
    padding-right: 7px; 
    align-self: stretch; 
    width: fit-content; 
    display: flex; 
    background-color: rgba(204, 204, 204, 0.25);
}
.ingredients-wrapper.border-bottom{
    border-bottom: 5px solid rgba(204, 204, 204, 0.9);
    border-bottom-left-radius: 0.25rem;
    border-bottom-right-radius: 0.25rem;
}
.step-components{
    flex:1; 
    flex-direction: row; 
}
.edit.recipe-card-wrapper{
    cursor: crosshair; 
}
.edit [contentEditable = true]{
    cursor: text; 
}
.add-step, .ghost-step{
    border-style: dotted; 
    color: #ccccccff; 
    padding: 5px; 
    text-align: center;
    min-height: 1rem;  
    z-index:100; 
}
.add-step, .add-parent-step{
    border: 5px dotted transparent; 
}
.ghost-step{
    margin: 12px; 
    border: 5px dotted #ccccccff; 
}

.recipe:hover .step.hover > .step-components > .step-components-inner > .ingredients-list > .add-step{
    display:block; 
}
.add-step{
    cursor: pointer;
}
.add-step:hover{
    border-color: #ccccccff;
}
.add-parent-step:hover{
    border-color:#ccccccff;
}
.recipe-header-wrapper, .recipe-footer-wrapper{
    width:100%;
    text-align:left; 
    cursor:default; 
}
.recipe-header, .recipe-notes{
    text-align:left; 
    padding: 0 0.5rem; 
    max-width: 900px; 
    margin: 0 auto; 
}
.recipe-name{
    font-family: "Pompiere";
    font-size: 200%; 
}
.recipe-name, .recipe-description{
    width: fit-content; 
}
.break{
    flex-basis: 100%;
    height: 0;
}
.instructions-container.hide > .instructions-list{
    display:none;
}
.instructions-list {
    padding: 0 5px; 
    text-align:justify; 
}
.instructions-list, .bracket-wrapper{
    display: inline-block; 
    vertical-align: top; 
}
.recipe-notes{
    border: 5px solid #ccccccff; 
    border-radius: 0.25rem;
    background: #ccccccff; 
    padding: 1rem; 
    margin-top: 1rem; 
}
.recipe-notes:empty{
    display: none; 
}
.recipe-notes::before{
    content: 'Notes'; 
    font-size: 115%; 
    display: block; 
    padding-bottom: 0.5rem; 
    float: left; 
}
.recipe-notes span{
    clear: both; 
    display: block; 
}
.instructions-switch{
    display: none; 
}
.bracket-wrapper .buttons{
    display: none; 
}
/******
* EDIT RECPIE
*******/
.step[draggable=true]>.step-components-border{
    border-color:grey; 
}
.recipe-header .buttons{
    padding: 0.5rem; 
}
.step-components-border .buttons{
    width: fit-content; 
    z-index: 100; 
    float: right;
}
.step-components-border .buttons .button{
    padding: 0 4px; 
}
.edit .sub-steps-list{
    z-index:100; 
    margin-top: 1rem; 
}
.recipe-header .buttons button.save, .recipe-header .buttons button.cancel{
    float:right; 
    background:rgb(4, 84, 163);
    border: 2px solid rgb(4, 84, 163);
    color: white;
    border-radius: 1rem; 
    padding: .5rem; 
    margin: 3px;
    font-weight: bold; 
    font-size: 75%;
}
.recipe-header .edit-button{
    margin-top: 1rem; 
}
.recipe-header .buttons button.save:hover{
    background: white; 
    color: rgb(4, 84, 163);
}
.recipe-header .buttons button.cancel{
    text-decoration: underline; 
    color: rgb(4, 84, 163);
    background-color: transparent;
    border:none; 
}
.buttons button, .inline-edit-button, .instructions-list button{
    background-color: transparent; 
    border: none; 
    color: #ccccccff; 
}
.recipe-notes .inline-edit-button{
    color:white; 
}
.edit div.instructions{
    padding-right: 25px; 
}
.buttons button:not(:disabled):hover, .instructions-list button:hover, .inline-edit-button:hover{
    color:black; 
}
.edit .ingredient{
    background-color: rgb(4, 84, 163);
    border-radius: 1rem;
    padding: 0.15rem 0.5rem; 
    color:white; 
    margin: 1px; 
    opacity: 0.999; /*gives transparent background on drag*/
}
.edit .ingredient:hover{
    cursor: move;
}
.ingredients-list{
    background: transparent; 
}
.ingredient input{
    text-align:center;
    background-color: rgba(255, 255, 255, 0.37);
    border: 1px solid rgba(4, 84, 163, 0.521); 
    width: 7rem;
    font-size: 110%;
    border-radius: .25rem;
}

.edit [contentEditable=true]:empty::after{
    content: attr(placeholder); 
    color: darkgrey; 
}
.edit .instructions:not(:first-child)::after{
    content: ""; 
}
.ingredient .buttons, button.inline-edit-button, button.edit-button{
    float:right; 
    padding-left: 1rem;
}
.ingredient .buttons, button.inline-edit-button, .instructions-list button{
    visibility: hidden; 
}
.instructions-list button{
    float:right; 
    padding-right: .5rem; 
    visibility:hidden; 
}
.ingredient:hover .buttons, .inline-edit:hover .inline-edit-button, .instructions-list:hover button, .recipe-header:hover .edit-button{
    visibility: visible; 
}
.ingredient .buttons button:hover{
    color:white; 
}
.ingredient-input span{
    display:none; 
}
.step[data-depth="1"]>.ingredients-list-wrapper>.ingredients-list>.ingredient-wrapper>.ingredient-input{
    visibility: visible; 
    display:block; 
}
.ingredient-input::after{
    content: '+ Add Ingredient';
}
.ingredient-input.edit::after{
    content:'';
    display: table; 
    clear:both; 
}
.edit .ingredient.ingredient-input:hover, .edit .ingredient-input.edit{
    color: rgb(4, 84, 163); 
    border-color:  rgb(4, 84, 163); 
    background-color: rgba(4, 84, 163, 0.521);
}
input:focus::placeholder {
    color: transparent;
}
input::placeholder{
    color: gray; 
}
.ingredient input.quantity{
    width: 50%; 
}
.ingredient input.measure{
    width: 50%; 
}
.ingredient input.name{
    width: 100%; 
}

.ingredient-input button{
    background-color: rgb(4, 84, 163);
    border-radius:1rem;
    border: 1px solid rgba(255, 255, 255, 0.37); 
    margin: 2px; 
    color:white; 
    font-weight: bold; 
    font-size: 110%;
}
.ingredient-input button:hover{
    color: rgb(4, 84, 163); 
    background-color: white;
}

.ingredient input, .inline-edit input, .inline-edit textarea, textarea.instructions{
    display:none; 
}
.ingredient.edit span, .inline-edit.edit .field-display, .instructions-list.edit div.instructions-display{
    display:none; 
}
.ingredient.edit input, .inline-edit.edit input, .instructions-list.edit textarea.instructions, .inline-edit.edit textarea{
    display:inline-block;
}
.ingredient.edit .buttons, .inline-edit.edit .inline-edit-button, .instructions-list.edit button.edit{
    display:none; 
}
.recipe-description textarea{
    width: 600px; 
}
.recipe-notes textarea{
    width: 100%; 
}
textarea{
    padding: 5px; 
    margin: 2px 10px 2px 2px; 
    font-size: 100%; 
}
.ingredient button.save{
    display:none; 
}
.ingredient-input.edit button.save{
    float:right; 
    display:block;
    font-size: 100%; 
}
.ingredient.ingredient-input .buttons{
    display:none; 
}
.ingredient.no-pointer span, .ingredient.no-pointer input, .ingredient.no-pointer div, .ghost-step{
    pointer-events:none;
}
.ingredient.dragging{
    opacity: 50%; 
}
#new-step-selection{
    border: 5px dotted rgba(204, 204, 204, 0.9); 
    position: absolute;
    visibility: hidden;
    z-index: -1; 
}
#new-step-selection.drawing{
    visibility: visible; 
    z-index: 1000; 
}
.edit ::selection{
    background: #ccccccff; 
}
.edit input::selection, .edit textarea::selection{
    background: #ccccccff; 
}
.step.selected .instructions-list{
    background-color: dimgray; 
    border-radius: 1rem; 
}
.ingredient.selected, .step.selected .ingredient{
    background-color: dimgray; 
}

.edit .ingredient.ingredient-input, .ghost-ingredient{
    cursor:pointer; 
    text-align:center; 
    color:rgba(4, 84, 163, 0.521); 
    background-color:white; 
    border: 1px dotted rgba(4, 84, 163, 0.521); 
    border-radius: 1rem; 
    margin: 2px; 
    padding: 0.15rem 0.5rem; 
    text-align: center; 
    min-height: 1.5rem; 
}

/****
* SEARCH RESULTS AND BROWSE
*****/
.browse-container{	
    width: fit-content; 	
    max-width: 1000px; 	
    margin: 15px auto; 	
}
#search-results div.tile{
    border: 5px solid #ccccccff; 
    border-radius: 0.25rem; 
    padding: 1rem; 
    margin: 0.5rem; 
}
#search-results div.tile:hover{
    background: #eeeded; 
}
.browse-buttons{
    margin: 0 auto; 
    color:gray;
    width: fit-content; 
    text-align: center;
    margin-bottom: 1rem;  
}
.browse-buttons div{
    display:inline-block; 
    margin: 0 0.5rem; 
}
.tab-set .tab-item{	
    padding: 10px;	
    font-size: large;	
    background: none;	
    border: none;	
}	
.tab-item.is-selected{	
    background: #eeeded;	
    color:black;	
    border-top: 5px solid black; 	
}	
#no-results{	
    padding-top: 50px;	
    font-size: large;	
    width: 20rem;	
    text-align: center;	
    display: none; 	
}	
.browse-buttons{	
    width:fit-content;	
    margin: 0 auto; 	
}

/****
*ABOUT US PAGE
*****/
.one-column{
    text-align: justify;
    max-width: 500px; 
    font-size: 115%; 
    margin: 2rem auto; 
}
#about-us .pictures{
    display: flex;
    flex-wrap: wrap;
    align-items: center; 
    justify-content: center;
    text-align: center; 
    font-family: "Pompiere", "Brush Script MT", cursive;
    font-size: 115%; 
    margin: 1rem 0; 
}
#about-us .pictures img{
    border-radius: 50%; 
    border: 7px solid black; 
    margin: 0 1rem; 
}
#about-us span{
    display: block; 
}
#about-us .pictures .and{
    margin-top: -1.5rem; 
}


@media only screen and (max-width: 600px) {
    #site-header{
        display: block; 
    }
    .search{
        width: 100%; 
    }
    .search-container {
        margin-top: 3rem;
        margin-left: 0.5rem;
        margin-right: 0.5rem;
    }
    header #site-header .menu a {
        padding-right: 1rem; 
    }
    .menu .topnav{
        width: calc(100vw - 2rem);
        text-align: center; 
        position: relative; 
    }
    .show-nav .search{
        margin-top: 15rem;
    }
    #about-us .pictures img{
        width: 100px; 
        border-width: 3px; 
        margin: 0 0.5rem;
    }    
    .instructions-switch{
        display: block; 
    }
    .instructions-container{
        margin-top:-11px;
        z-index:500;
    }
    .bracket-wrapper .buttons{
        display: block; 
    }
    .bracket-wrapper .buttons button{
        font-size: 22px; 
        background:white; 
        padding:0; 
        border-radius:50%; 
        height: 18px; 
        width: 18px; 
        position:relative;
    }
    .bracket-wrapper .buttons button i{
        position:absolute; 
        top: -2px; 
        left: 0; 
    }
    .bracket{
        border: none; 
    }
    .instructions-container.hide .close-instructions, .instructions-container .open-instructions{
        display: none; 
    }
    .instructions-container.hide .open-instructions, .instructions-container .close-instructions{
        display: block; 
    }
    .step{
        grid-template-columns: auto max-content auto;
        justify-items: center;
    }
    .sub-steps-list .step{
        justify-content: center; 
    }
    .sub-steps-list{
        grid-column: 2; 
        grid-row:1;
    }
    .ingredients-list-wrapper{
        grid-column: 2; 
        grid-row: 2; 
    }
    .instructions-container{
        grid-column: 2; 
        grid-row:3; 
    }
    .step-components-border{
        grid-column: 2; 
        grid-row: 1 / span 2; 
    } 
    .add-parent-step{
        grid-column: 2; 
        grid-row: 1 / span 3; 
    }
    .bracket-wrapper{
        border-left-width: 0 !important; 
        margin-top:0; 
    }
    .ingredients-list:empty{
        display:none; 
    }
    .instructions-container{
        display: flex;
        flex-direction: column;
        align-items: center;
    }
}
@media (hover: none) {
    .ingredient .buttons, button.inline-edit-button, .instructions-list button{
        visibility: visible; 
    }
}

/***********
* TOASTS!
************/
#toaster{
    position: absolute; 
    z-index: 1;
    width: 100%;
    margin: 20px;
}
.toast{
    display:none;
    background-color: #333;
    color: #fff;
    text-align: center;
    border-radius: 2px;
    padding: 16px;
    border-radius: 0.25rem; 
    margin: 0 auto;
    width: fit-content;
    min-width: 250px;
    max-width: 1000px;
}
.toast > button.dismiss{
    float:right; 
    background-color: transparent;
    border: none;
    color: #ccccccff;
    margin-top:-0.25rem; 
    font-size: 150%; 
}
.toast.show{
    display: block;
    -webkit-animation: fadein 0.5s;
    animation: fadein 0.5s;
}
.toast.fade-out{
    display:block; 
    -webkit-animation: fadeout 0.5s;
    animation: fadeout 0.5s;
}
.toast.success{
    background-color: green; 
}
.toast.error{
    background-color: darkred; 
}

@-webkit-keyframes fadein {
    from {opacity: 0;} 
    to {opacity: 1;}
}

@keyframes fadein {
    from {opacity: 0;}
    to {opacity: 1;}
}

@-webkit-keyframes fadeout {
    from {opacity: 1;} 
    to {opacity: 0;}
}

@keyframes fadeout {
    from {opacity: 1;}
    to {opacity: 0;}
}

/*******
* LOADER
********/
#loader {
    display: none; 
    position:absolute; 
    top: 0; 
    bottom: 0; 
    left: 0; 
    right: 0;
    background-color: rgba(255,255,255, 0.5);
    -webkit-animation: fadein 0.5s;
    animation: fadein 0.5s;
    min-height: 200px;
}
#loader > div{
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 1;
    width: 120px;
    height: 120px;
    margin: -76px 0 0 -76px;
    border: 16px solid #f3f3f3;
    border-top: 16px solid black; 
    border-bottom: 16px solid black; 
    border-radius: 50%;
    animation: spin 5s linear infinite;
  }
  
  @keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
  }